<?xml version="1.0" encoding="UTF-8"?>
<feature
      id="org.eclipse.papyrus.designer.languages.idl.feature"
      label="%featureName"
      version="3.1.0.qualifier"
      provider-name="%providerName">

   <description url="http://www.example.com/description">
      CORBA IDL code generation from Papyrus. The feature includes
- An IDL generator
- A model library with the CORBA basic types
- An C++ code generator via IDL and OpenSplice (it uses the idlpp processor from OpenSplice to produce C++ code from IDL)
   </description>

	<copyright url="https://www.eclipse.org/legal/epl-2.0/">
      Copyright (c) CEA LIST
All rights reserved. This program and the accompanying materials
are made available under the terms of the Eclipse Public License
v2.0 which accompanies this distribution, and is available at
https://www.eclipse.org/legal/epl-2.0/
   </copyright>

   <license url="%licenseURL">
      %license
   </license>

   <requires>
      <import feature="org.eclipse.papyrus.designer.languages.common.feature"/>
   </requires>

   <plugin
         id="org.eclipse.papyrus.designer.languages.idl.codegen"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.idl.codegen.ui"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.idl.library"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.idl.codegen.opensplice"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

</feature>
